Subject: Re: Address book in Pine

From: Ed Greshko <[email-masked]>
Date: Thu, 1 Sep 1994 01:26:51 -0800 (GMT)

On Wed, 31 Aug 1994, Ming-Yen Hsu wrote:

> On Wed, 31 Aug 1994, Ed Greshko wrote:
> > 	I'm a bit confused as to exactly what your problem is...I don't
> > know if you are having difficulty when sending or receiving.  And I'm 
> > not clear on if the nickname in the address book is that of a "list"
> > of people or if the nickname is pointing to [email-masked].  Would
> > you try again?  Sorry....maybe it is getting late and I'm worried
> > about the approaching typhoon.....
> 
> The nickname "fvwm" points to "[email-masked]". Following is the header
> when I read the mail received from the fvwm mailing list:
> 
>      From [email-masked]
>      Date: Tue, 30 Aug 1994 21:07:57 +0100
>      From: Icarus Sparry <[email-masked]>
> *    To: [email-masked]
> *    Cc: [email-masked]
>      Subject: Re: M4 advantages & disadvantages
> 
> And this is the full header of the same mail: (watch the header "To" and 
> "Cc")
> ------------------------
> >From [email-masked]
> Return-Path: [email-masked]
> Received: from shrug ([email-masked] [129.234.24.22]) by db39.ee.ncu.edu.tw (8.6.9/8.6.6) with ESMTP id IAA01659 for <[email-masked]>; Wed, 31 Aug 1994 08:11:26 +0800
> Received: (from mailer@localhost) by shrug (8.6.9/8.6.9) id VAA14655 for fvwm-outgoing; Tue, 30 Aug 1994 21:08:24 +0100
> Received: from tamarin.bath.ac.uk ([email-masked] [138.38.32.3]) by shrug (8.6.9/8.6.9) with SMTP id VAA14650 for <[email-masked]>; Tue, 30 Aug 1994 21:08:20 +0100
> Received: from ss1.bath.ac.uk by tamarin.bath.ac.uk with SMTP (PP) 
>           id <[email-masked]>; Tue, 30 Aug 1994 21:07:56 +0100
> To: donal    * here *
> CC: fvwm     * here *
> Subject: Re: M4 advantages & disadvantages
> In-reply-to: Your message of "Tue, 30 Aug 1994 19:32:16 BST." <[email-masked]>
> Date: Tue, 30 Aug 1994 21:07:57 +0100
> From: Icarus Sparry <[email-masked]>
> Message-ID: <[email-masked]>
> Sender: [email-masked]
> Precedence: bulk
> Reply-To: Icarus Sparry <[email-masked]>
> -------------------------------------------------
> 
> I didn't reply these "problem" mail actually, so I have no idea if they
> would found their way home.
> 
> The problem happened with the mail from "procmail list" too, if their 
> return address are not complete (such as "Cc: procmail" which should be
> "Cc: [email-masked]"). 
> 
> Thanks for you help again, and I have to buy some cookie and bread to
> against the storm... :)
> 
	Well, there is nothing wrong with pine.

	The problem is at the user's end that sent out the message.
The To: and  Cc: fields should have been rewritten with the FQDN.
Since they showed up without the right-hand side pine assumes (rightly so)
that the address is a local address and (for show) appends the local
information.

					Ed

P.S.	Good luck with the typhoon.....

Edward M. Greshko                       Technical Manager, Electronic Commerce
                                        Control Data Asia/Pacific Region
Voice: +886-2-715-2222 x287             6/F, 131 Nanking East Road, Section 3
FAX  : +886-2-712-9197                  Taipei, Taiwan R.O.C